| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::SubjectWidget Class Reference
Inheritance diagram for Digikam::SubjectWidget:

## Signals
void | signalModified ()

## Public Member Functions
| SubjectWidget (QWidget *const parent, bool sizesLimited=false)
void | setSubjectsList (const QStringList &list)
QStringList | subjectsList () const

## Protected Slots
virtual void | slotAddSubject ()
virtual void | slotDelSubject ()
virtual void | slotEditOptionChanged (int)
virtual void | slotRefChanged ()
virtual void | slotRepSubject ()
virtual void | slotSubjectSelectionChanged ()
virtual void | slotSubjectsToggled (bool)

## Protected Member Functions
virtual QString | buildSubject () const
virtual bool | loadSubjectCodesFromXML (const QUrl &url)

## Protected Attributes
DTextEdit * | m_detailEdit = nullptr
QString | m_iprDefault
QLineEdit * | m_iprEdit = nullptr
DTextEdit * | m_matterEdit = nullptr
DTextEdit * | m_nameEdit = nullptr
QLabel * | m_note = nullptr
QLineEdit * | m_refEdit = nullptr
QCheckBox * | m_subjectsCheck = nullptr